Ubuntu

[VPCZ13C5E or VPCZ114GX, Realtek ALC889, Speaker, Internal] No sound at all

Reported by Wouter van der Graaf on 2012-03-20
56
This bug affects 10 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned

Bug Description

Sound works with my headphones plugged in. But without them there's no sound coming out of my internal laptop speakers.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: alsa-base 1.0.25+dfsg-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
Uname: Linux 3.2.0-18-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC889 Analog [ALC889 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 1.94.1-0ubuntu2
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC889 Analog [ALC889 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: wouter 3299 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xb6420000 irq 45'
   Mixer name : 'Realtek ALC889'
   Components : 'HDA:10ec0889,104d4400,00100005'
   Controls : 29
   Simple ctrls : 16
Date: Tue Mar 20 12:57:45 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel failed
Symptom_Card: Built-in Audio - HDA Intel
Symptom_DevicesInUse:
 3299 wouter F.... pulseaudio
     PID ACCESS COMMAND
Symptom_Jack: Speaker, Internal
Symptom_Type: No sound at all
Title: [VPCZ13C5E, Realtek ALC889, Speaker, Internal] No sound at all
UpgradeStatus: Upgraded to precise on 2012-03-13 (7 days ago)
dmi.bios.date: 07/30/2010
dmi.bios.vendor: INSYDE
dmi.bios.version: R3030C3
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnINSYDE:bvrR3030C3:bd07/30/2010:svnSonyCorporation:pnVPCZ13C5E:pvrJ004EBJ6:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCZ13C5E
dmi.product.version: J004EBJ6
dmi.sys.vendor: Sony Corporation

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed

Any ONE of these strings(there may be more) added to the bottom of /etc/modprobe.d/alsa-base.conf (then rebooting) makes the sound work but beware as plugging in the headphones will not cancel out the sound via the speakers - both will play sound. Can be embarassing if you're thinking the sound will only go to the headphones when you have them plugged in.

options snd-hda-intel model=sony-vaio-tt
options snd-hda-intel model=intel-x58
options snd-hda-intel model=intel-alc889a

Found with:
$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC889 Analog [ALC889 Analog]
...

Then to get the model to put in alsa-base.conf:
$ gunzip -c /usr/share/doc/alsa-base/driver/HD-Audio-Models.txt.gz |grep -i "alc889"
  intel-alc889a Intel IbexPeak with ALC889A
  intel-x58 Intel DX58 with ALC889

or

$ gunzip -c /usr/share/doc/alsa-base/driver/HD-Audio-Models.txt.gz |grep -i "sony"
  sony-vaio-tt Sony VAIO TT

I think I'll boot up 11.10 and try to figure out what it thinks the card is... Anyone know the command to figure that out?

David Henningsson (diwic) wrote :

Hi!

You can check if the bug is fixed upstream by following this procedure: https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

Please report back and tell whether this helped you or not. Thanks!

Changed in alsa-driver (Ubuntu):
status: Confirmed → Incomplete

Thanks, but unfortunately it's not fixed with this package. Nothing changed. Any idea?

David Henningsson (diwic) wrote :

The fact that you actually can get sound out of it if you're using a model parser means it should be doable to get it to work.

It could be that the BIOS exposes the wrong pin configuration, if so, you could try hda-jack-retask:
install the hda-jack-retask package from my ppa - https://launchpad.net/~diwic/+archive/hda
When you have started the program, check the box "show unconnected pins". Then try to turn off the internal speaker on pin 0x14 and turn it on another pin. Try all unconnected pins and see if they make a difference.

That's my best guess at the moment, but I'm far from certain it will actually help.

Thanks, man! Yes! With your application I've fixed the internal speakers and kept headphone and speaker audio separated (when I plug headphones in, speakers are silenced and headphones work). And internal mic is also still working. So finally I have everything working on my Vaio Z13.

It's not the pins; internal speakers remain on 0x14 and headphones on 0x15. However, if I only check the "Override" checkbox for the headphones on pin 0x15 in simple mode (don't check the "Advanced override" checkbox and change nothing else), then it works!

Still, why does it work if I only check the "Override" checkbox and change nothing else? What happened? Checking "Advanced override" reveals some differences between the original situation and the "Override". Why?

So the problem was related to the settings for my headphones somehow. Overriding these with what fixed my internal speakers.

David, could you enlighten us? What did just happen? See attached screenshots.

Thanks again!

David Henningsson (diwic) wrote :

Hmm, it seems unlikely that overriding the headphone would lead to working speakers, but assuming that you have double-checked and verified that this is actually what's causing it to work:

The only thing that could remotely have any effect and that's different between images 2 and 4 is the channel group, but it's difficult to tell why without looking more closely at the kernel source code.

Btw, are you currently having the DKMS upgrade installed, or not?

Could you upload alsa-infos (see https://wiki.ubuntu.com/Audio/AlsaInfo ) for both the scenario where internal speakers do not work (but should), and where they actually work? We could then try looking for differences between them.

Unlikely, unless there's possibly something in the headphone settings that makes Alsa believe the headphones are plugged in, while they're not. I have no clue.

I couldn't believe it myself, but have verified it countless times. Results of checking and unchecking this one "Override" checkbox are consistent, even after reboots and sleep/resumes.

I don't have the DKMS upgrade installed anymore. I already uninstalled it before trying out your application.

Original audio setup with speakers not working:

http://www.alsa-project.org/db/?f=f98e72575a656d123c0e9b3acd3366f6843a8d80

"Override" checked for pin 0x15 (headphones) with everything working as it should:

http://www.alsa-project.org/db/?f=4c0528216069cee0f3b0a0bbeb638fc298f7638d

Using the diff viewer 'meld' I can see the following 10 changes:

 1. Node 0x04 and 0x05 have their Converter stream set to 0 (was 8).
 2. Control at Node 0x0d is renamed from "Surround Playback Volume" to "Speaker Playback Volume".
 3. Controls at Node 0x0e "Center Playback Volume" and "LFE Playback Volume" are removed.
 4. Control at Node 0x0f "Speaker Playback Volume" is removed.
 5. At Node 0x14 the asterisk (*) at Connection is moved from 0x0f to 0x0d, reflecting the change at 2. and 4.
 6. Node 0x15 for headphone has different Pin Default settings.
 7. Control "Surround Playback Switch" is removed from Node 0x18.
 8. Controls "Center Playback Switch" and "LFE Playback Switch" are removed from Node 0x19.
 9. At Amixer output "Controls" changed from 29 to 22 and "Simple ctrls" went from 22 to 12.
 10. Simple mixer controls "Surround", "Center", "LFE" and "Channel Mode" are removed.

To sum it up: all controls for surround are removed and control for speaker playback volume is moved from 0x0f to 0x0d. Headphone has different Pin Default settings.

Odd how merely checking a checkbox in hda-jack-retask can change all this. Still I'm not sure which change (combination) is responsible for my audio to work again.

What should be the next step to isolate the cause? And how can we get a solution that works out of the box (no hda-jack-retask needed)?

Not that it is a lot of help but this bug also affects me and installing hda-jack-retask and only enabling the override on the headphones fixes the issue for me just the same.

Thanks for everyone's work! And thanks Wouter for posting this to the email list!

~Brett

David Henningsson (diwic) wrote :

Ok, been diving a bit deeper, and I have another question.
It seems you have two identical mic jacks at pin 0x18 and pin 0x19. Is this really true? If not, could you try disable one of them and see if this also makes your speaker work? (Try both to figure out which one is right and which one is wrong.)

The reason for this is the location.
When the location is overridden (from "Right" to "Left"), not all jacks are considered to be next to each other.
When all jacks are between each other, the driver tries to add an alternative mode to use HP jack + the two mic jacks as some kind of 5.1 surround (optionally). Exactly why this causes things to fail is beyond what I've figured out yet.

But if we disable one mic jack that actually does not exist, we're doing something right, and speaker just might start to work as a fortunate side effect :-)

David Henningsson (diwic) wrote :

> When all jacks are between each other

I meant to say "when all jacks are at the same location"

Probably I'm just not seeing the bigger picture but it seems crazy that this worked in the last release and then now it's broken. Can't we just look at how it was setup last time and put it back to that? Just thinking out loud. Cheers!

Sorry for my short-sighted comment.. With all the umpteen-million lines of code in play here, I guess it should be no surprise that things get bumpy sometimes. This is progress!

Anyways, so I installed David's PPA and Wouter's comment #7 works perfectly for me as well! I also installed the boot modification from David's application and it still works perfectly after 2 reboots so far. Also, for note - the volume is staying at the same level I left it as well. Thanks for the awesome workaround everyone! Next, I will try to do what you suggest to test to see what could be wrong. Cheers!

Download full text (3.1 KiB)

Let's take a step back and look at what we have and what works under which situation. So these are the 2 outputs and 3 mic inputs on the Sony Vaio Z11/Z12/Z13:

 * Internal speakers (stereo)
 * Internal microphone (mono)
 * One combined 5-segment jack for headphones (stereo) and external microphone (mono or stereo?) for the Sony earplugs with built-in microphones on each ear that came with the laptop
 * One external microphone jack (assuming mono)

 A. In the default out-of-the-box situation, my internal speakers remain silent. Earplugs do work, but mics in the earplugs do not work. Internal mic does work and when I plug a microphone in the external mic jack, the internal mic is silenced and the external one takes over.

 B. When I only check the "Override" for 0x15 (headphones), it fixes my internal speakers and sound flows through my earplugs as soon as I plug them in (and internal speakers are silenced). Earplug mics don't work. Internal mic does work and when I plug a microphone in the external mic jack, the internal mic is silenced and the external one takes over.

 C. When I only disable 0x18 (black mic, right side) by setting "Override" to "Not Connected", it does fix my internal speakers and headphones still work as expected. But now I don't have any internal microphone anymore. However, as soon as I plug in my earplugs with built-in microphones, I do see a microphone input. Tapping left and right earplug confirms that they work. I think the two mics (left ear and right ear) deliver one input stream (mono), as I count 5 segments on the jack plug - 3 for stereo out and 2 for mono in, correct? Or do you think the two mics in the earplugs are stereo? The external mic jack does not work in this situation.

 D. When I only disable 0x19 (also black mic, right side), my internal speakers and headphones also work as expected. But again, no internal microphone. And the earplug mic also does not work in this situation. Only the external mic jack works.

 E. With 0x12 disabled I have no working speakers nor internal mic. Earplugs do work, but its mics don't work. External one does.

Based on the above findings, I would conclude that:

 * 0x12 is the internal mic
 * 0x14 is the internal speakers
 * 0x15 is headphones output
 * 0x18 is the external mic jack
 * 0x19 is headphones mic input

Situation B works the best for now, but what we ultimately want (out-of-the-box) is:

 1. Without anything plugged in: working internal speakers and internal microphone.
 2. With earplugs-with-mics plugged in (0x15 and 0x19): speakers silenced and earplugs take over. Sound options should show 2 mic inputs (internal and external) and user should be allowed to choose one of the two inputs.
 3. With external mic plugged in (0x18): internal microphone silenced and external one takes over. This action is more explicit - you intend to use the external microphone.
 4. With both earplugs-with-mics and external mic plugged in (0x15, 0x19 and 0x18): speakers and internal mic silenced. Output flows through earplugs. External mic (0x18) is the only input (intentional use of external mic jack).

Do you think this is achievable?

Any pointers in the right direction?

Thanks ...

Read more...

David Henningsson (diwic) wrote :

Oh. So you indeed have two mic jacks, but one of them is integrated as part of a headset jack.

All headset jacks I've seen so far have been 4-pin (Left headphone signal, right headphone signal, mono mic in, common ground).

As for plugging headphones into a headset jack, and still being able to use the internal mic, I wonder what to do about that. As there is no way to detect whether you plugged a headphone or a headset in that jack, I assume. So that's a generic problem, as these headset jacks are becoming increasingly common.

One could note that pin 0x15 and 0x19 share the same channel group. I wonder if that could be used to distinguish headset jacks from one headphone jack and one mic jack.

It surprised me that the internal mic stopped working at scenario D. It shouldn't - that could very well be a completely different bug.

So, no good news from me at this point. More noting that things were even more complicated than anticipated. :-/

I'd love to know how this stuff works. Perhaps with some extra knowledge about the internals would help. How does this configuration (channels, groups, connections, locations, etc) relate to the hardware and how can I configure this myself?

Download full text (3.9 KiB)

Here's the alsa info from my configurations, if it does any good:

Without override:
http://www.alsa-project.org/db/?f=13185ac0bbdbc4ebab55dae50d92cf2e0549a7a0

With override:
http://www.alsa-project.org/db/?f=28e913288d233aabdd7e35fa6ac33828b885dc61

I have the Sony VPCZ114GX.

Thanks again for working with it.

Regards,
Shannon

On Wed, Apr 25, 2012 at 2:35 AM, David Henningsson <
<email address hidden>> wrote:

> Hmm, it seems unlikely that overriding the headphone would lead to
> working speakers, but assuming that you have double-checked and verified
> that this is actually what's causing it to work:
>
> The only thing that could remotely have any effect and that's different
> between images 2 and 4 is the channel group, but it's difficult to tell
> why without looking more closely at the kernel source code.
>
> Btw, are you currently having the DKMS upgrade installed, or not?
>
> Could you upload alsa-infos (see https://wiki.ubuntu.com/Audio/AlsaInfo
> ) for both the scenario where internal speakers do not work (but
> should), and where they actually work? We could then try looking for
> differences between them.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/960124
>
> Title:
> [VPCZ13C5E, Realtek ALC889, Speaker, Internal] No sound at all
>
> Status in “alsa-driver” package in Ubuntu:
> Incomplete
>
> Bug description:
> Sound works with my headphones plugged in. But without them there's no
> sound coming out of my internal laptop speakers.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
> Uname: Linux 3.2.0-18-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC889 Analog [ALC889 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> ApportVersion: 1.94.1-0ubuntu2
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC889 Analog [ALC889 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: wouter 3299 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xb6420000 irq 45'
> Mixer name : 'Realtek ALC889'
> Components : 'HDA:10ec0889,104d4400,00100005'
> Controls : 29
> Simple ctrls : 16
> Date: Tue Mar 20 12:57:45 2012
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64
> (20110427.1)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel failed
> Symptom_Card: Built-in Audio - HDA Intel
> Symptom_DevicesInUse:
> 3299 wouter F.... pulseaudio
> PID ACCESS COMMAND
> Symptom_Jack: Speaker, Internal
> Symptom_Type: No sound at all
> Title: [VPCZ13C5E, Realtek ALC889, Speaker, Internal] No sound at all
> UpgradeStatus: Upgraded to precise o...

Read more...

@Wouter, some material to read:
http://voices.canonical.com/david.henningsson/2011/12/08/audio-debugging-techniques/ - intro to audio debugging
http://www.intel.com/content/www/us/en/standards/high-definition-audio-specification.html - the HDA specification
The relevant code is located in the kernel, file: sound/pci/hda/patch_realtek.c
http://www.kernel.org/doc/Documentation/sound/alsa/HD-Audio.txt - how to configure the HDA driver (although I doubt that will help in this particular case)

Good luck! :-)

Changed in alsa-driver (Ubuntu):
status: Incomplete → Triaged
summary: - [VPCZ13C5E, Realtek ALC889, Speaker, Internal] No sound at all
+ [VPCZ13C5E or VPCZ114GX, Realtek ALC889, Speaker, Internal] No sound at
+ all
Adam Williamson (awilliamson) wrote :

Note - I have a somewhat-longstanding thread on this issue (wrt my VPCZ112GDS) on the alsa-devel list:

http://mailman.alsa-project.org/pipermail/alsa-devel/2012-March/050492.html

is where it started back in March, and:

http://mailman.alsa-project.org/pipermail/alsa-devel/2012-July/053561.html

is where it picks up this month. tiwai has posted a patch that seems to fix it, though I don't know if it takes all the complexities discussed in this report into account. I have posted a mail to the thread pointing at this report, so both threads should now be aware of the other.

Adam Williamson (awilliamson) wrote :

I've confirmed that the patch tiwai posted at http://mailman.alsa-project.org/pipermail/alsa-devel/2012-July/053601.html resolves the bug, for my VPCZ11 anyhow: sound through the internal speaker works as it did prior to 3.2, and sound still works through the headphone socket, auto-muting the speakers when connected. I couldn't test anything to do with external mic/headset, though.

You have to re-diff the patch somewhat to apply against anything older than the current kernel 'sound' branch, but it's easy enough to do. I tested it against 3.5.0.

David Henningsson (diwic) wrote :

Adam, thanks for that info!

Shannon and Wouter, you have the same PCI SSID as Adam (104d:905a), and the patch Adam points to was committed, so please retry with the latest DKMS package according to https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS and let us know if that helps!

Changed in alsa-driver (Ubuntu):
status: Triaged → Incomplete

David: I followed your instructions and now sound works good on my VPCZ114GX - just like Adam describes.

File I installed: alsa-hda-dkms_0.201208081815~precise1_all.deb
url: https://code.launchpad.net/~ubuntu-audio-dev/+archive/alsa-daily/+files/alsa-hda-dkms_0.201208081815%7Eprecise1_all.deb

Thanks very much for your great help everyone!

Changed in alsa-driver (Ubuntu):
status: Incomplete → Triaged

I works for me as well!

I installed the slightly newer alsa-hda-dkms_0.201208091806~precise1_all.deb (https://code.launchpad.net/~ubuntu-audio-dev/+archive/alsa-daily/+files/alsa-hda-dkms_0.201208091806%7Eprecise1_all.deb)

Thank you!

latebeat (latebeat) wrote :

Thank you all for your time and effort in this matter (especially Wouter van der Graaf with his long and thorough step by step troubleshooting instructions). I have had the same problem for a while. In the end with the help of you guys and following the troubleshooting steps I was able to fix it by installing the alsa-hda-dkms module. I tried with the native driver like Wouter van der Graaf and using the hda-jack-retasker but with no success.
Anyhow, just wanted to say thanks for all your time and efforts. I'm really happy I've found this thread (i've followed a dozen others with no success)!

You rock!

Download full text (4.3 KiB)

Woke up this morning to find no sound... and so I removed the dkms-hda
package and tried to install the newer
package(alsa-hda-dkms_0.201302111840~precise1_all.deb) and I get this error:
Building only for 3.5.0-18-generic
Building for architecture x86_64
Building initial module for 3.5.0-18-generic
ERROR (dkms apport): kernel package linux-headers-3.5.0-18-generic is not
supported
Error! Bad return status for module build on kernel: 3.5.0-18-generic
(x86_64)
Consult /var/lib/dkms/alsa-hda/0.201302111840~precise1/build/make.log for
more information.
dpkg: error processing alsa-hda-dkms (--install):
 subprocess installed post-installation script returned error exit status
10

Something similar happens if I try to install the older package
(alsa-hda-dkms_0.201208081815~precise1_all.deb).

Anybody else seeing this problem?

Thanks!
Shannon VanWagner

On Thu, Aug 9, 2012 at 7:42 AM, David Henningsson <<email address hidden>
> wrote:

> Adam, thanks for that info!
>
> Shannon and Wouter, you have the same PCI SSID as Adam (104d:905a), and
> the patch Adam points to was committed, so please retry with the latest
> DKMS package according to
> https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS and let us know if that
> helps!
>
> ** Changed in: alsa-driver (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/960124
>
> Title:
> [VPCZ13C5E or VPCZ114GX, Realtek ALC889, Speaker, Internal] No sound
> at all
>
> Status in “alsa-driver” package in Ubuntu:
> Incomplete
>
> Bug description:
> Sound works with my headphones plugged in. But without them there's no
> sound coming out of my internal laptop speakers.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
> Uname: Linux 3.2.0-18-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC889 Analog [ALC889 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> ApportVersion: 1.94.1-0ubuntu2
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC889 Analog [ALC889 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: wouter 3299 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xb6420000 irq 45'
> Mixer name : 'Realtek ALC889'
> Components : 'HDA:10ec0889,104d4400,00100005'
> Controls : 29
> Simple ctrls : 16
> Date: Tue Mar 20 12:57:45 2012
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64
> (20110427.1)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel failed
> Symptom_Card: Built-in Audio - HDA Intel
> Symptom_DevicesInUse:
> 3299 ...

Read more...

David Henningsson (diwic) wrote :

If you're using the 3.5 kernel you need the dkms-hda-lts-quantal package instead, quoting https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

"Note the difference between the quantal version dkms-hda and the precise version of dkms-hda-lts-quantal : If you're running Ubuntu 12.10, you should use dkms-hda of quantal, whereas dkms-hda-lts-quantal of precise is for users of Ubuntu 12.04 that are running the backport kernel (the linux-image-generic-lts-quantal package)."

Download full text (3.7 KiB)

Thanks very much Sir!

So I installed and after a few reboots, my sound is not working through the
speaker. It does work through the headphones though. I wonder if I did
something wrong..

sv@ububox:~$ dpkg -l |grep alsa-hda-lts-quantal-dkms
ii alsa-hda-lts-quantal-dkms
0.201302131900~precise1 HDA
driver in DKMS format.

Shannon

On Thu, Feb 14, 2013 at 4:00 AM, David Henningsson <
<email address hidden>> wrote:

> If you're using the 3.5 kernel you need the dkms-hda-lts-quantal package
> instead, quoting https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS
>
> "Note the difference between the quantal version dkms-hda and the
> precise version of dkms-hda-lts-quantal : If you're running Ubuntu
> 12.10, you should use dkms-hda of quantal, whereas dkms-hda-lts-quantal
> of precise is for users of Ubuntu 12.04 that are running the backport
> kernel (the linux-image-generic-lts-quantal package)."
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/960124
>
> Title:
> [VPCZ13C5E or VPCZ114GX, Realtek ALC889, Speaker, Internal] No sound
> at all
>
> Status in “alsa-driver” package in Ubuntu:
> Triaged
>
> Bug description:
> Sound works with my headphones plugged in. But without them there's no
> sound coming out of my internal laptop speakers.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: alsa-base 1.0.25+dfsg-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
> Uname: Linux 3.2.0-18-generic x86_64
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC889 Analog [ALC889 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> ApportVersion: 1.94.1-0ubuntu2
> Architecture: amd64
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC889 Analog [ALC889 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: wouter 3299 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xb6420000 irq 45'
> Mixer name : 'Realtek ALC889'
> Components : 'HDA:10ec0889,104d4400,00100005'
> Controls : 29
> Simple ctrls : 16
> Date: Tue Mar 20 12:57:45 2012
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64
> (20110427.1)
> PackageArchitecture: all
> SourcePackage: alsa-driver
> Symptom: audio
> Symptom_AlsaPlaybackTest: ALSA playback test through plughw:Intel failed
> Symptom_Card: Built-in Audio - HDA Intel
> Symptom_DevicesInUse:
> 3299 wouter F.... pulseaudio
> PID ACCESS COMMAND
> Symptom_Jack: Speaker, Internal
> Symptom_Type: No sound at all
> Title: [VPCZ13C5E, Realtek ALC889, Speaker, Internal] No sound at all
> UpgradeStatus: Upgraded to precise on 2012-03-13 (7 days ago)
> dmi.bios.date: 07/30/2010
> dmi.bios.vendor: INSYDE
> dmi.bios.version: R3030C3
> dmi.board...

Read more...

Download full text (4.4 KiB)

Woops, I had the older version installed.. Now I updated

First:
sudo dpkg -r alsa-hda-lts-quantal-dkms

Then:
sudo dpkg -i alsa-hda-lts-quantal-dkms_0.201302141923~precise1_all.deb

But, after reboot.. I still have no sound out of the speaker. Headphones
work.

sudo dpkg -l | grep alsa-hda-lts-quantal-dkms
ii alsa-hda-lts-quantal-dkms
0.201302141923~precise1 HDA
driver in DKMS format.

Thanks!
Shannon

On Thu, Feb 14, 2013 at 9:15 PM, Shannon VanWagner <
<email address hidden>> wrote:

> Thanks very much Sir!
>
> So I installed and after a few reboots, my sound is not working through
> the speaker. It does work through the headphones though. I wonder if I did
> something wrong..
>
> sv@ububox:~$ dpkg -l |grep alsa-hda-lts-quantal-dkms
> ii alsa-hda-lts-quantal-dkms
> 0.201302131900~precise1 HDA
> driver in DKMS format.
>
> Shannon
>
>
> On Thu, Feb 14, 2013 at 4:00 AM, David Henningsson <
> <email address hidden>> wrote:
>
>> If you're using the 3.5 kernel you need the dkms-hda-lts-quantal package
>> instead, quoting https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS
>>
>> "Note the difference between the quantal version dkms-hda and the
>> precise version of dkms-hda-lts-quantal : If you're running Ubuntu
>> 12.10, you should use dkms-hda of quantal, whereas dkms-hda-lts-quantal
>> of precise is for users of Ubuntu 12.04 that are running the backport
>> kernel (the linux-image-generic-lts-quantal package)."
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/960124
>>
>> Title:
>> [VPCZ13C5E or VPCZ114GX, Realtek ALC889, Speaker, Internal] No sound
>> at all
>>
>> Status in “alsa-driver” package in Ubuntu:
>> Triaged
>>
>> Bug description:
>> Sound works with my headphones plugged in. But without them there's no
>> sound coming out of my internal laptop speakers.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 12.04
>> Package: alsa-base 1.0.25+dfsg-0ubuntu1
>> ProcVersionSignature: Ubuntu 3.2.0-18.29-generic 3.2.9
>> Uname: Linux 3.2.0-18-generic x86_64
>> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
>> AplayDevices:
>> **** List of PLAYBACK Hardware Devices ****
>> card 0: Intel [HDA Intel], device 0: ALC889 Analog [ALC889 Analog]
>> Subdevices: 1/1
>> Subdevice #0: subdevice #0
>> ApportVersion: 1.94.1-0ubuntu2
>> Architecture: amd64
>> ArecordDevices:
>> **** List of CAPTURE Hardware Devices ****
>> card 0: Intel [HDA Intel], device 0: ALC889 Analog [ALC889 Analog]
>> Subdevices: 1/1
>> Subdevice #0: subdevice #0
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: wouter 3299 F.... pulseaudio
>> Card0.Amixer.info:
>> Card hw:0 'Intel'/'HDA Intel at 0xb6420000 irq 45'
>> Mixer name : 'Realtek ALC889'
>> Components : 'HDA:10ec0889,104d4400,00100005'
>> Controls : 29
>> Simple ctrls : 16
>> Date: Tue Mar 20 12:57:45 2012
>> EcryptfsInUse: Yes
>> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Rel...

Read more...

To post a comment you must log in.